package com.bytedance.android.live.game;

import X.2HN;
import X.AnonymousClass0AA;
import X.C13990hR;
import X.GIv;
import X.M12;
import androidx.fragment.app.Fragment;
import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.android.livesdk.model.GameTag;
import com.bytedance.android.livesdk.model.Hashtag;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;

public class IGameTopicServiceDummy implements IGameTopicService {
    static {
        Covode.recordClassIndex(6347);
    }

    public void checkAndUpdateTopic(Fragment fragment, DataChannel dataChannel) {
        M12.LIZ(fragment, dataChannel);
    }

    public GameTag currentGameTag(GIv gIv) {
        M12.LIZ(gIv);
        return null;
    }

    public void onInit() {
    }

    public void showGameCategoryListDialog(AnonymousClass0AA r1, C13990hR r2) {
    }

    public Hashtag getLocalTopic(GIv gIv) {
        M12.LIZ(gIv);
        return new Hashtag(0L, "", (ImageModel) null, 0, 12, (2HN) null);
    }
}
